Page MenuHomePhabricator

Avoid z-index conflict with HoverCards & Central Notice and friends
Closed, InvalidPublic

Description

As a user, when I mouseover a link with HoverCards enabled, I want the HoverCard to overlay other UI elements (e.g., Central Notice and QuickSurveys) so that I can read the HoverCard.

Acceptance criteria

  • z-index of HoverCards or Central Notice is adjusted as necessary and verified as working such that when Central Notice UX is in force there aren't conflicts

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2016, 3:53 PM
dr0ptp4kt renamed this task from Avoid z-index conflict with Central Notice and friends to Avoid z-index conflict with HoverCards & Central Notice and friends.Mar 31 2016, 4:34 PM
dr0ptp4kt updated the task description. (Show Details)
dr0ptp4kt triaged this task as Medium priority.Mar 31 2016, 5:08 PM

There's no z-index set on CentralNotice itself. I've adjusted all our fundraising banners to have z-index: 110, which lets Hovercards cover them when active (while still keeping the reminder banners and legal notice above the page content).

Do we know who can check QuickSurveys?

Thanks, @Pcoombe! @jhobs, would you be able to confirm whether HoverCards will properly overlay QuickSurveys?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 10:00 PM
dr0ptp4kt closed this task as Invalid.May 20 2016, 11:44 AM